Package org.eclipse.microprofile.faulttolerance.exceptions

# Class BulkheadException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.microprofile.faulttolerance.exceptions.FaultToleranceException
org.eclipse.microprofile.faulttolerance.exceptions.BulkheadException

All Implemented Interfaces:
  `Serializable`

public class BulkheadException extends FaultToleranceException
The exception should be thrown when Bulkhead implementation throws an exception, e.g. Waiting Queue is full or no Semaphore permits are available. Emily Jiang

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BulkheadException()`
`BulkheadException(String message)`
`BulkheadException(String message, Throwable t)`
`BulkheadException(Throwable t)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BulkheadException

public BulkheadException()

### BulkheadException

public BulkheadException(Throwable t)

### BulkheadException

public BulkheadException(String message)

### BulkheadException

public BulkheadException(String message, Throwable t)